<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Nano102_112 Series BSP: PDMA_T Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="M0Banner_v2.jpg"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Nano102_112 Series BSP
   &#160;<span id="projectnumber">V3.03.002</span>
   </div>
   <div id="projectbrief">The Board Support Package for  Nano102_112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',false,false,'search.php','Search');
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Data Fields</a>  </div>
  <div class="headertitle">
<div class="title">PDMA_T Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><code>#include &lt;<a class="el" href="_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Data Fields</h2></td></tr>
<tr class="memitem:a9d21db3829051558647d9e50ec276543"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_p_d_m_a___t.html#a9d21db3829051558647d9e50ec276543">CSR</a></td></tr>
<tr class="separator:a9d21db3829051558647d9e50ec276543"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac03cbcb60bd8f61f401bc492a5082aa5"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_p_d_m_a___t.html#ac03cbcb60bd8f61f401bc492a5082aa5">SAR</a></td></tr>
<tr class="separator:ac03cbcb60bd8f61f401bc492a5082aa5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae9328015fb4cd6a934f99b2463a7149f"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_p_d_m_a___t.html#ae9328015fb4cd6a934f99b2463a7149f">DAR</a></td></tr>
<tr class="separator:ae9328015fb4cd6a934f99b2463a7149f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afb440a7a3753ec21c130497aef7de4b8"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_p_d_m_a___t.html#afb440a7a3753ec21c130497aef7de4b8">BCR</a></td></tr>
<tr class="separator:afb440a7a3753ec21c130497aef7de4b8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaee053849c4f8a1b259a095cc09ee22e"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_p_d_m_a___t.html#aaee053849c4f8a1b259a095cc09ee22e">RESERVE0</a> [1]</td></tr>
<tr class="separator:aaee053849c4f8a1b259a095cc09ee22e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a769c202442b98c7705ed366570418d4a"><td class="memItemLeft" align="right" valign="top">__I uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_p_d_m_a___t.html#a769c202442b98c7705ed366570418d4a">CSAR</a></td></tr>
<tr class="separator:a769c202442b98c7705ed366570418d4a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a71808ef5d48dfb05afba27eaacbc65c8"><td class="memItemLeft" align="right" valign="top">__I uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_p_d_m_a___t.html#a71808ef5d48dfb05afba27eaacbc65c8">CDAR</a></td></tr>
<tr class="separator:a71808ef5d48dfb05afba27eaacbc65c8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a36ea5c8cb37f89bb4ba6dfd1ea44dca1"><td class="memItemLeft" align="right" valign="top">__I uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_p_d_m_a___t.html#a36ea5c8cb37f89bb4ba6dfd1ea44dca1">CBCR</a></td></tr>
<tr class="separator:a36ea5c8cb37f89bb4ba6dfd1ea44dca1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5c28784c32bb49716e0486c490be2e7e"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_p_d_m_a___t.html#a5c28784c32bb49716e0486c490be2e7e">IER</a></td></tr>
<tr class="separator:a5c28784c32bb49716e0486c490be2e7e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9722e42994cbccb70a65ae76675a8ee6"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_p_d_m_a___t.html#a9722e42994cbccb70a65ae76675a8ee6">ISR</a></td></tr>
<tr class="separator:a9722e42994cbccb70a65ae76675a8ee6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2d32cd7347384fb469ccb130cebeec32"><td class="memItemLeft" align="right" valign="top">__IO uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="struct_p_d_m_a___t.html#a2d32cd7347384fb469ccb130cebeec32">TCR</a></td></tr>
<tr class="separator:a2d32cd7347384fb469ccb130cebeec32"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="_nano1_x2_series_8h_source.html#l02060">2060</a> of file <a class="el" href="_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>
</div><h2 class="groupheader">Field Documentation</h2>
<a id="afb440a7a3753ec21c130497aef7de4b8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afb440a7a3753ec21c130497aef7de4b8">&#9670;&nbsp;</a></span>BCR</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">__IO uint32_t PDMA_T::BCR</td>
        </tr>
      </table>
</div><div class="memdoc">
<h1>BCR </h1>
<h2>Offset: 0x0C PDMA Transfer Byte Count Register </h2>
<table class="markdownTable">
<tr class="markdownTableHead">
<th class="markdownTableHeadCenter">Bits  </th><th class="markdownTableHeadCenter">Field  </th><th class="markdownTableHeadLeft">Descriptions   </th></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter">[15:0]  </td><td class="markdownTableBodyCenter">PDMA_BCR  </td><td class="markdownTableBodyLeft">PDMA Transfer Byte Count Register   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">This field indicates a 16-bit transfer byte count of PDMA.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">Note: In Memory-to-memory (PDMA_CSR [MODE_SEL] = 00) mode, the transfer byte count must be word alignment.   </td></tr>
</table>

<p class="definition">Definition at line <a class="el" href="_nano1_x2_series_8h_source.html#l02153">2153</a> of file <a class="el" href="_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="a36ea5c8cb37f89bb4ba6dfd1ea44dca1"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a36ea5c8cb37f89bb4ba6dfd1ea44dca1">&#9670;&nbsp;</a></span>CBCR</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">__I uint32_t PDMA_T::CBCR</td>
        </tr>
      </table>
</div><div class="memdoc">
<h1>CBCR </h1>
<h2>Offset: 0x1C PDMA Current Transfer Byte Count Register </h2>
<table class="markdownTable">
<tr class="markdownTableHead">
<th class="markdownTableHeadCenter">Bits  </th><th class="markdownTableHeadCenter">Field  </th><th class="markdownTableHeadLeft">Descriptions   </th></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter">[23:0]  </td><td class="markdownTableBodyCenter">PDMA_CBCR  </td><td class="markdownTableBodyLeft">PDMA Current Byte Count Register (Read Only)   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">This field indicates the current remained byte count of PDMA.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">Note: These fields will be changed when PDMA finish data transfer (data transfer to destination address),   </td></tr>
</table>

<p class="definition">Definition at line <a class="el" href="_nano1_x2_series_8h_source.html#l02192">2192</a> of file <a class="el" href="_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="a71808ef5d48dfb05afba27eaacbc65c8"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a71808ef5d48dfb05afba27eaacbc65c8">&#9670;&nbsp;</a></span>CDAR</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">__I uint32_t PDMA_T::CDAR</td>
        </tr>
      </table>
</div><div class="memdoc">
<h1>CDAR </h1>
<h2>Offset: 0x18 PDMA Current Destination Address Register </h2>
<table class="markdownTable">
<tr class="markdownTableHead">
<th class="markdownTableHeadCenter">Bits  </th><th class="markdownTableHeadCenter">Field  </th><th class="markdownTableHeadLeft">Descriptions   </th></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter">[31:0]  </td><td class="markdownTableBodyCenter">PDMA_CDAR  </td><td class="markdownTableBodyLeft">PDMA Current Destination Address Register (Read Only)   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">This field indicates the destination address where the PDMA transfer is just occurring.   </td></tr>
</table>

<p class="definition">Definition at line <a class="el" href="_nano1_x2_series_8h_source.html#l02179">2179</a> of file <a class="el" href="_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="a769c202442b98c7705ed366570418d4a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a769c202442b98c7705ed366570418d4a">&#9670;&nbsp;</a></span>CSAR</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">__I uint32_t PDMA_T::CSAR</td>
        </tr>
      </table>
</div><div class="memdoc">
<h1>CSAR </h1>
<h2>Offset: 0x14 PDMA Current Source Address Register </h2>
<table class="markdownTable">
<tr class="markdownTableHead">
<th class="markdownTableHeadCenter">Bits  </th><th class="markdownTableHeadCenter">Field  </th><th class="markdownTableHeadLeft">Descriptions   </th></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter">[31:0]  </td><td class="markdownTableBodyCenter">PDMA_CSAR  </td><td class="markdownTableBodyLeft">PDMA Current Source Address Register (Read Only)   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">This field indicates the source address where the PDMA transfer is just occurring.   </td></tr>
</table>

<p class="definition">Definition at line <a class="el" href="_nano1_x2_series_8h_source.html#l02167">2167</a> of file <a class="el" href="_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="a9d21db3829051558647d9e50ec276543"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9d21db3829051558647d9e50ec276543">&#9670;&nbsp;</a></span>CSR</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">__IO uint32_t PDMA_T::CSR</td>
        </tr>
      </table>
</div><div class="memdoc">
<h1>CSR </h1>
<h2>Offset: 0x00 PDMA Control Register </h2>
<table class="markdownTable">
<tr class="markdownTableHead">
<th class="markdownTableHeadCenter">Bits  </th><th class="markdownTableHeadCenter">Field  </th><th class="markdownTableHeadLeft">Descriptions   </th></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter">[0]  </td><td class="markdownTableBodyCenter">PDMACEN  </td><td class="markdownTableBodyLeft">PDMA Channel Enable   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">Setting this bit to "1" enables PDMA's operation.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">If this bit is cleared, PDMA will ignore all PDMA request and force Bus Master into IDLE state.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">Note: SW_RST will clear this bit.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter">[1]  </td><td class="markdownTableBodyCenter">SW_RST  </td><td class="markdownTableBodyLeft">Software Engine Reset   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">0 = No effect.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">1 = Reset the internal state machine and pointers.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">The contents of control register will not be cleared.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">This bit will be auto cleared after few clock cycles.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter">[3:2]  </td><td class="markdownTableBodyCenter">MODE_SEL  </td><td class="markdownTableBodyLeft">PDMA Mode Select   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">00 = Memory to Memory mode (Memory-to-Memory).   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">01 = IP to Memory mode (APB-to-Memory)   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">10 = Memory to IP mode (Memory-to-APB).   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">11 = Reserved.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter">[5:4]  </td><td class="markdownTableBodyCenter">SAD_SEL  </td><td class="markdownTableBodyLeft">Transfer Source Address Direction Selection   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">00 = Transfer Source address is incremented successively.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">01 = Reserved.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">10 = Transfer Source address is fixed (This feature can be used when data where transferred from a single source to multiple destinations).   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">11 = Transfer Source address is wrap around (When the PDMA_CBCR is equal to zero, the PDMA_CSAR and PDMA_CBCR register will be updated by PDMA_SAR and PDMA_BCR automatically.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">PDMA will start another transfer without software trigger until PDMA_EN disabled.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">When the PDMA_EN is disabled, the PDMA will complete the active transfer but the remained data which in the PDMA_BUF will not transfer to destination address).   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter">[7:6]  </td><td class="markdownTableBodyCenter">DAD_SEL  </td><td class="markdownTableBodyLeft">Transfer Destination Address Direction Selection   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">00 = Transfer Destination address is incremented successively   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">01 = Reserved.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">10 = Transfer Destination address is fixed (This feature can be used when data where transferred from multiple sources to a single destination)   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">11 = Transfer Destination address is wrapped around (When the PDMA_CBCR is equal to zero, the PDMA_CDAR and PDMA_CBCR register will be updated by PDMA_DAR and PDMA_BCR automatically.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">PDMA will start another transfer without software trigger until PDMA_EN disabled.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">When the PDMA_EN is disabled, the PDMA will complete the active transfer but the remained data which in the PDMA_BUF will not transfer to destination address).   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter">[12]  </td><td class="markdownTableBodyCenter">TO_EN  </td><td class="markdownTableBodyLeft">Time-Out Enable   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">This bit will enable PDMA internal counter. While this counter counts to zero, the TO_IS will be set.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">0 = PDMA internal counter Disabled.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">1 = PDMA internal counter Enabled.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter">[20:19]  </td><td class="markdownTableBodyCenter">APB_TWS  </td><td class="markdownTableBodyLeft">Peripheral Transfer Width Selection   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">00 = One word (32 bits) is transferred for every PDMA operation.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">01 = One byte (8 bits) is transferred for every PDMA operation.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">10 = One half-word (16 bits) is transferred for every PDMA operation.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">11 = Reserved.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">Note: This field is meaningful only when MODE_SEL is IP to Memory mode (APB-to-Memory) or Memory to IP mode (Memory-to-APB).   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter">[23]  </td><td class="markdownTableBodyCenter">TRIG_EN  </td><td class="markdownTableBodyLeft">TRIG_EN   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">0 = No effect.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">1 = PDMA data read or write transfer Enabled.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">Note1: When PDMA transfer completed, this bit will be cleared automatically.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">Note2: If the bus error occurs, all PDMA transfer will be stopped.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">Software must reset all PDMA channel, and then trig again.   </td></tr>
</table>

<p class="definition">Definition at line <a class="el" href="_nano1_x2_series_8h_source.html#l02114">2114</a> of file <a class="el" href="_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="ae9328015fb4cd6a934f99b2463a7149f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ae9328015fb4cd6a934f99b2463a7149f">&#9670;&nbsp;</a></span>DAR</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">__IO uint32_t PDMA_T::DAR</td>
        </tr>
      </table>
</div><div class="memdoc">
<h1>DAR </h1>
<h2>Offset: 0x08 PDMA Destination Address Register </h2>
<table class="markdownTable">
<tr class="markdownTableHead">
<th class="markdownTableHeadCenter">Bits  </th><th class="markdownTableHeadCenter">Field  </th><th class="markdownTableHeadLeft">Descriptions   </th></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter">[31:0]  </td><td class="markdownTableBodyCenter">PDMA_DAR  </td><td class="markdownTableBodyLeft">PDMA Transfer Destination Address Register   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">This field indicates a 32-bit destination address of PDMA.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">Note : The destination address must be word alignment   </td></tr>
</table>

<p class="definition">Definition at line <a class="el" href="_nano1_x2_series_8h_source.html#l02140">2140</a> of file <a class="el" href="_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="a5c28784c32bb49716e0486c490be2e7e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5c28784c32bb49716e0486c490be2e7e">&#9670;&nbsp;</a></span>IER</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">__IO uint32_t PDMA_T::IER</td>
        </tr>
      </table>
</div><div class="memdoc">
<h1>IER </h1>
<h2>Offset: 0x20 PDMA Interrupt Enable Register </h2>
<table class="markdownTable">
<tr class="markdownTableHead">
<th class="markdownTableHeadCenter">Bits  </th><th class="markdownTableHeadCenter">Field  </th><th class="markdownTableHeadLeft">Descriptions   </th></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter">[0]  </td><td class="markdownTableBodyCenter">TABORT_IE  </td><td class="markdownTableBodyLeft">PDMA Read/Write Target Abort Interrupt Enable   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">0 = Target abort interrupt generation Disabled during PDMA transfer.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">1 = Target abort interrupt generation Enabled during PDMA transfer.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter">[1]  </td><td class="markdownTableBodyCenter">TD_IE  </td><td class="markdownTableBodyLeft">PDMA Transfer Done Interrupt Enable   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">0 = Interrupt generator Disabled when PDMA transfer is done.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">1 = Interrupt generator Enabled when PDMA transfer is done.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter">[5:2]  </td><td class="markdownTableBodyCenter">WRA_BCR_IE  </td><td class="markdownTableBodyLeft">Wrap Around Byte Count Interrupt Enable   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">0001 = Interrupt enable of PDMA_CBCR equals 0   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">0100 = Interrupt enable of PDMA_CBCR equals 1/2 PDMA_BCR.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter">[6]  </td><td class="markdownTableBodyCenter">TO_IE  </td><td class="markdownTableBodyLeft">Time-Out Interrupt Enable   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">0 = Time-out interrupt Disabled.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">1 = Time-out interrupt Enabled.   </td></tr>
</table>

<p class="definition">Definition at line <a class="el" href="_nano1_x2_series_8h_source.html#l02214">2214</a> of file <a class="el" href="_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="a9722e42994cbccb70a65ae76675a8ee6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a9722e42994cbccb70a65ae76675a8ee6">&#9670;&nbsp;</a></span>ISR</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">__IO uint32_t PDMA_T::ISR</td>
        </tr>
      </table>
</div><div class="memdoc">
<h1>ISR </h1>
<h2>Offset: 0x24 PDMA Interrupt Status Register </h2>
<table class="markdownTable">
<tr class="markdownTableHead">
<th class="markdownTableHeadCenter">Bits  </th><th class="markdownTableHeadCenter">Field  </th><th class="markdownTableHeadLeft">Descriptions   </th></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter">[0]  </td><td class="markdownTableBodyCenter">TABORT_IS  </td><td class="markdownTableBodyLeft">PDMA Read/Write Target Abort Interrupt Status Flag   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">0 = No bus ERROR response received.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">1 = Bus ERROR response received.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">Note1: This bit is cleared by writing "1" to itself.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">Note2: The PDMA_ISR [TABORT_IF] indicate bus master received ERROR response or not, if bus master received occur it means that target abort is happened.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">PDMA controller will stop transfer and respond this event to software then go to IDLE state.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">When target abort occurred, software must reset PDMA controller, and then transfer those data again.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter">[1]  </td><td class="markdownTableBodyCenter">TD_IS  </td><td class="markdownTableBodyLeft">Transfer Done Interrupt Status Flag   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">This bit indicates that PDMA has finished all transfer.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">0 = Not finished yet.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">1 = Done.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">Note: This bit is cleared by writing "1" to itself.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter">[5:2]  </td><td class="markdownTableBodyCenter">WRA_BCR_IS  </td><td class="markdownTableBodyLeft">Wrap Around Transfer Byte Count Interrupt Status Flag   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">WRA_BCR_IS [0] (xxx1) = PDMA_CBCR equal 0 flag.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">WRA_BCR_IS [2] (x1xx) = PDMA_CBCR equal 1/2 PDMA_BCR flag.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">Note: Each bit is cleared by writing "1" to itself.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">This field is only valid in wrap around mode.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">(PDMA_CSR[DAD_SEL] =11 or PDMA_CSR[SAD_SEL] =11).   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter">[6]  </td><td class="markdownTableBodyCenter">TO_IS  </td><td class="markdownTableBodyLeft">Time-Out Interrupt Status Flag   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">This flag indicated that PDMA has waited peripheral request for a period defined by PDMA_TCR.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">0 = No time-out flag.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">1 = Time-out flag.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">Note: This bit is cleared by writing "1" to itself.   </td></tr>
</table>

<p class="definition">Definition at line <a class="el" href="_nano1_x2_series_8h_source.html#l02247">2247</a> of file <a class="el" href="_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="aaee053849c4f8a1b259a095cc09ee22e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaee053849c4f8a1b259a095cc09ee22e">&#9670;&nbsp;</a></span>RESERVE0</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t PDMA_T::RESERVE0[1]</td>
        </tr>
      </table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="_nano1_x2_series_8h_source.html#l02154">2154</a> of file <a class="el" href="_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="ac03cbcb60bd8f61f401bc492a5082aa5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac03cbcb60bd8f61f401bc492a5082aa5">&#9670;&nbsp;</a></span>SAR</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">__IO uint32_t PDMA_T::SAR</td>
        </tr>
      </table>
</div><div class="memdoc">
<h1>SAR </h1>
<h2>Offset: 0x04 PDMA Source Address Register </h2>
<table class="markdownTable">
<tr class="markdownTableHead">
<th class="markdownTableHeadCenter">Bits  </th><th class="markdownTableHeadCenter">Field  </th><th class="markdownTableHeadLeft">Descriptions   </th></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter">[31:0]  </td><td class="markdownTableBodyCenter">PDMA_SAR  </td><td class="markdownTableBodyLeft">PDMA Transfer Source Address Register   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">This field indicates a 32-bit source address of PDMA.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">Note: The source address must be word alignment.   </td></tr>
</table>

<p class="definition">Definition at line <a class="el" href="_nano1_x2_series_8h_source.html#l02127">2127</a> of file <a class="el" href="_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<a id="a2d32cd7347384fb469ccb130cebeec32"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2d32cd7347384fb469ccb130cebeec32">&#9670;&nbsp;</a></span>TCR</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">__IO uint32_t PDMA_T::TCR</td>
        </tr>
      </table>
</div><div class="memdoc">
<h1>TCR </h1>
<h2>Offset: 0x28 PDMA Timer Counter Setting Register </h2>
<table class="markdownTable">
<tr class="markdownTableHead">
<th class="markdownTableHeadCenter">Bits  </th><th class="markdownTableHeadCenter">Field  </th><th class="markdownTableHeadLeft">Descriptions   </th></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter">[15:0]  </td><td class="markdownTableBodyCenter">PDMA_TCR  </td><td class="markdownTableBodyLeft">PDMA Timer Count Setting Register   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">Each PDMA channel contains an internal counter.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">The internal counter loads the value of PDAM_TCR and starts counting down when setting PDMA_CSRx [TO_EN] register.   </td></tr>
<tr class="markdownTableRowEven">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">PDMA will request interrupt when this internal counter reaches zero and PDMA_IERx[TO_IE] is high.   </td></tr>
<tr class="markdownTableRowOdd">
<td class="markdownTableBodyCenter"></td><td class="markdownTableBodyCenter"></td><td class="markdownTableBodyLeft">This internal counter will reload and start counting when completing each peripheral request service.   </td></tr>
</table>

<p class="definition">Definition at line <a class="el" href="_nano1_x2_series_8h_source.html#l02262">2262</a> of file <a class="el" href="_nano1_x2_series_8h_source.html">Nano1X2Series.h</a>.</p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>Device/Nuvoton/Nano1X2Series/Include/<a class="el" href="_nano1_x2_series_8h_source.html">Nano1X2Series.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Tue Oct 6 2020 19:17:55 for Nano102_112 Series BSP by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.15
</small></address>
</body>
</html>
